GuideLab API

Approve whole-conversation deletion

Records the current participant organization's immutable approval. Deletion is authorized only after both the lab and clinic approve; platform legal has a separate admin override.

POST
/conversations/{id}/deletion-approval

Records the current participant organization's immutable approval. Deletion is authorized only after both the lab and clinic approve; platform legal has a separate admin override.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length

Response Body

application/json

curl -X POST "https://example.com/conversations/string/deletion-approval"
{  "data": {    "conversationId": "string",    "status": "pending",    "authorizationKind": "string",    "requestedAt": "string",    "authorizedAt": "string",    "completedAt": "string",    "approvedOrganizationIds": [      "string"    ]  }}
Empty
Empty
Empty
Empty